# Uses of Class
org.apache.avro.Schema.SeenPair

Packages that use Schema.SeenPair
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of Schema.SeenPair in org.apache.avro

Method parameters in org.apache.avro with type arguments of type Schema.SeenPair
Modifier and Type
Method
Description
`static Resolver.Action`
Resolver.ReaderUnion.`resolve(Schema w, Schema r, GenericData d, Map<Schema.SeenPair,Resolver.Action> seen)`
Returns a `Resolver.ReaderUnion` action for resolving `w` and `r`, or an `Resolver.ErrorAction` if there is no branch in the reader that matches the writer.
`static Resolver.Action`
Resolver.WriterUnion.`resolve(Schema writeSchema, Schema readSchema, GenericData data, Map<Schema.SeenPair,Resolver.Action> seen)`